plugins {
    java
    id("org.springframework.boot") version "2.7.7"
    id("io.spring.dependency-management") version "1.0.15.RELEASE"
}

group = "com.gyee"
version = "0.0.1"
java.sourceCompatibility = JavaVersion.VERSION_1_8

configurations {
    compileOnly {
        extendsFrom(configurations.annotationProcessor.get())
    }
}

repositories {
    mavenCentral()
}

dependencies {
    implementation("org.springframework.boot:spring-boot-starter")
    implementation("org.springframework.boot:spring-boot-starter-web")
    compileOnly("org.projectlombok:lombok")
    annotationProcessor("org.projectlombok:lombok")
    testImplementation("org.springframework.boot:spring-boot-starter-test")
    implementation("org.springframework.boot:spring-boot-starter-websocket")

    implementation("com.baomidou:mybatis-plus-boot-starter:3.5.3.1")
    implementation("com.alibaba:druid-spring-boot-starter:1.2.15")
    implementation("mysql:mysql-connector-java:8.0.31")
    implementation("com.alibaba:fastjson:2.0.23")
    implementation("org.apache.commons:commons-lang3:3.12.0")
}

tasks.withType<Test> {
    useJUnitPlatform()
}
