package com.gyee.table.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.table.entity.TableColumnHeader;
import com.gyee.table.mapper.TableColumnHeaderMapper;
import com.gyee.table.service.ITableColumnHeaderService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Random;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gfhd
 * @since 2023-01-17
 */
@Service
public class TableColumnHeaderServiceImpl extends ServiceImpl<TableColumnHeaderMapper, TableColumnHeader> implements ITableColumnHeaderService {

    // 列类型
    private String[] llx = {"index", "operations",""};
    // 列对齐方式
    private String[] ldqfs = {"left", "center", "right"};
    // 列是否溢出隐藏\开启排序\开启筛选
    private Boolean[] arrayb = {true,false};
    // 列筛选的类型
    private String[] lsxlx = {"basic", "current"};
    private Random random = new Random();
    private String[] kun = {};
    private String[] glc = {"过滤词"};

    @Override
    public List<TableColumnHeader> getHeader(String headername) {
        List<TableColumnHeader> tableHeaderColumns = new ArrayList<>();
        long tableId = baseMapper.selectCount(Wrappers.emptyWrapper()) + 1;
        int j = random.nextInt(15) + 3;
        for (int i = 0; i < j; i++) {
            TableColumnHeader thc = new TableColumnHeader();
            //thc.setId(idWorker.nextIdStr());
            thc.setTid(tableId);
            thc.setName(headername);
            thc.setType(llx[random.nextInt(3)]);
            thc.setLabel("新表头");
            thc.setWidth("");
            thc.setMinwidth("");
            thc.setAlign(ldqfs[random.nextInt(3)]);
            thc.setShowoverflowtooltip(arrayb[random.nextInt(2)]);
            thc.setSortable(arrayb[random.nextInt(2)]);
            thc.setOperations(kun);
            thc.setChildren(kun);
            thc.setShowfilters(arrayb[random.nextInt(2)]);
            thc.setFilterstype(lsxlx[random.nextInt(2)]);
            thc.setFormat(kun);
            thc.setFormattype("");

            if("".equals(thc.getType()) && Arrays.equals(kun,thc.getChildren())){
                thc.setProp("newtableheader");
            }else {
                thc.setProp("");
            }
            thc.setFilters("current".equals(thc.getFilterstype())?glc:kun);
            tableHeaderColumns.add(thc);
        }
        return tableHeaderColumns;
    }
}
